Subject: bug#56393: Resetting long_line_optimization_p to 0

From: Gerd Möllmann <[email-masked]>
Date: Tue, 19 Jul 2022 11:31:19 +0200

Gregory Heytings <[email-masked]> writes:

>>> - I did not see that l_l_o_p is set to false anywhere.  Should it
>>> be? What if a buffer is modified in such a way that there are no
>>> long lines anymore?
>>
>> Gosh!  That was an error, thanks!
>
> In fact it wasn't, there is a "b->long_line_optimizations_p = 0;" in
> reset_buffer.

Yes, I've seen that one, sorry for not being clear.

What I meant was resetting the flag without resetting the buffer.  For
example in redisplay_window when it finds that the condition for setting
it true is no longer met.